<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <meta name="author" content="Dirk - André Deckert" />
  <title>index</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
  <link rel="stylesheet" href="./_template/styles.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<h1 id="mathematical-statistics-and-applications-of-machine-learning-pdf">Mathematic(al Statistic)s and Applications of Machine Learning [<a href="index.pdf">PDF</a>]</h1>
<ol type="1">
<li><a href="#table-of-contents">Table of contents</a></li>
<li><a href="#weekly-course-material">Weekly course material</a>
<ul>
<li><a href="#week-of-april-12:-lecture-01">Week of April 12: Lecture 01</a></li>
<li><a href="#week-of-april-19:-lecture-02">Week of April 19: Lecture 02</a></li>
</ul></li>
<li><a href="#course-material-overviews">Course material overviews</a>
<ul>
<li><a href="#overview-of-maml-topics">Overview of MAML topics</a></li>
<li><a href="#overview-of-msaml-topics">Overview of MSAML topics</a></li>
</ul></li>
</ol>
<p>Back to the <a href="https://gitlab.com/dirk-deckert-lmu/ss21-msaml">GitLab course site</a>.</p>
<h2 id="weekly-course-material">Weekly course material</h2>
<h3 id="week-of-april-12-lecture-01">Week of April 12: Lecture 01</h3>
<p>Organization:</p>
<ul>
<li><a href="SS21-MsAML__01-1__Get_to_know_session.pdf">Get-to-know session</a> [<a href="https://cast.itunes.uni-muenchen.de/clips/hcrhoalPU3/vod/online.html">Video</a>]</li>
</ul>
<p>Lectures notes:</p>
<ul>
<li><a href="SS21-MsAML__01-2__Introduction_and_overview.html">Introduction and overview</a></li>
<li><a href="SS21-MsAML__01-3__Supervised_learning_setting.html">Supervised learning setting</a></li>
<li>(S) <a href="SS21-MsAML__01-S1__Statistical_framework.html">Statistical framework</a></li>
</ul>
<p>Exercises and solutions:</p>
<table>
<thead>
<tr class="header">
<th></th>
<th>Exercise</th>
<th>Discussion</th>
<th>Solution</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>01-0</td>
<td><a href="SS21-MsAML__01-X-0__Python_warmup.ipynb">Python warmup</a></td>
<td>#5</td>
<td>included</td>
</tr>
<tr class="even">
<td>01-1</td>
<td><a href="SS21-MsAML__01-X-1__Set_up_a_Python_development_environment.html">Set up a Python development environment</a></td>
<td>#6</td>
<td>included</td>
</tr>
<tr class="odd">
<td>01-2</td>
<td><a href="SS21_MsAML__01-X-2__First_steps_with_numpy.ipynb">First steps with Numpy</a></td>
<td>#7</td>
<td>included</td>
</tr>
<tr class="even">
<td>01-3</td>
<td><a href="SS21_MsAML__01-X-3__Plotting_and_obtaining_data.ipynb">Plotting and obtaining data</a></td>
<td>#8</td>
<td>included</td>
</tr>
<tr class="odd">
<td>01-M1</td>
<td><a href="SS21_MsAML__01-X-M1__Histograms_from_Covid-19_time_series_data.html">Histograms from Covid-19 time series data</a></td>
<td>#9</td>
<td><a href="SS21_MsAML__01-X-M1__Histograms_from_Covid-19_time_series_data.ipynb">IPython Notebook</a></td>
</tr>
<tr class="even">
<td>01-S1</td>
<td><a href="SS21-MsAML__01-X-S1__Probability_warm_up.html">Probability warm up</a></td>
<td>#10</td>
<td><a href="SS21-MsAML__01-X-S1__Empirical_Risk_Expectation_SOLUTION.pdf">1</a>, <a href="SS21-MsAML__01-X-S1__Quadratic_risk_decomposition_SOLUTION.pdf">2</a>, <a href="SS21-MsAML__01-X-S1__Bayes_classifier_SOLUTION.pdf">3</a></td>
</tr>
</tbody>
</table>
<h3 id="week-of-april-19-lecture-02">Week of April 19: Lecture 02</h3>
<p>Lectures notes:</p>
<ul>
<li><a href="SS21-MsAML__02-1__Linear_classification.html">Linear classification and the perceptron definition</a></li>
<li>(S) <a href="SS21-MsAML__02-S1__Error_decomposition.html">Error decomposition</a></li>
</ul>
<p>Exercises and solutions:</p>
<table>
<thead>
<tr class="header">
<th></th>
<th>Exercise</th>
<th>Discussion</th>
<th>Solution</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>02-1</td>
<td><a href="SS21-MsAML__02-X1__Limits_of_linear_classification.html">Limits of linear classification</a></td>
<td>#16</td>
<td></td>
</tr>
<tr class="even">
<td>02-2</td>
<td><a href="SS21-MsAML__02-X2__Preparation_of_Python_tools_for_linear_classification.html">Preparation of Python tools for linear classification</a></td>
<td>#17</td>
<td></td>
</tr>
<tr class="odd">
<td>02-3</td>
<td><a href="SS21-MsAML__02-X3__Perceptron_implementation.html">Perceptron_implementation</a></td>
<td>#18</td>
<td></td>
</tr>
<tr class="even">
<td>02-S1</td>
<td><a href="SS21-MsAML__02-XS1__Linear_regression_model.html">Linear regression model</a></td>
<td>#19</td>
<td></td>
</tr>
</tbody>
</table>
<h3 id="week-of-april-26-lecture-03">Week of April 26: Lecture 03</h3>
<p>Lectures notes:</p>
<ul>
<li><a href="SS21-MsAML__03-1__Perceptron_convergence.html">Perceptron convergence</a></li>
<li><a href="SS21-MsAML__03-2__Adaline_definition.html">Adaline definition</a></li>
</ul>
<p>Exercises and solutions:</p>
<table>
<thead>
<tr class="header">
<th></th>
<th>Exercise</th>
<th>Discussion</th>
<th>Solution</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>
<h2 id="course-material-overviews">Course material overviews</h2>
<h3 id="overview-of-maml-topics">Overview of MAML topics</h3>
<ul>
<li><a href="SS21-MsAML__01-2__Introduction_and_overview.html">Introduction and overview</a></li>
<li><a href="SS21-MsAML__01-3__Supervised_learning_setting.html">Supervised learning setting</a></li>
<li><a href="SS21-MsAML__02-1__Linear_classification.html">Linear classification and the perceptron definition</a>
<ul>
<li><a href="SS21-MsAML__03-1__Perceptron_convergence.html">Perceptron convergence</a></li>
<li><a href="SS21-MsAML__03-2__Adaline_definition.html">Adaline definition</a></li>
</ul></li>
</ul>
<h3 id="overview-of-msaml-topics">Overview of MSAML topics</h3>
<ul>
<li>(S) <a href="SS21-MsAML__01-S1__Statistical_framework.html">Statistical framework</a></li>
<li>(S) <a href="SS21-MsAML__02-S1__Error_decomposition.html">Error decomposition</a></li>
</ul>
<div class="license">
    <!-- <a rel="license" href="http://creativecommons.org/licenses/by/4.0/"> -->
    <!--     <img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by/4.0/88x31.png" /> -->
    <!-- </a> -->
    By <a href="https://www.mathematik.uni-muenchen.de/~deckert/">D.-A. Deckert</a> licensed under a 
    <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.
</div>
</body>
</html>
